Package org.eclipse.emf.cdo.lm.client

# Class ISystemDescriptor.ResolutionException.Reason

java.lang.Object
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException.Reason

Direct Known Subclasses:
  `ISystemDescriptor.ResolutionException.Reason.Conflicting`, `ISystemDescriptor.ResolutionException.Reason.Missing`

Enclosing class:
  `ISystemDescriptor.ResolutionException`

public abstract static class ISystemDescriptor.ResolutionException.Reason extends Object

Author:
  Eike Stepper
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ISystemDescriptor.ResolutionException.Reason.Conflicting`
`static final class`
`ISystemDescriptor.ResolutionException.Reason.Dependency`
`static final class`
`ISystemDescriptor.ResolutionException.Reason.Missing`
`static final class`
`ISystemDescriptor.ResolutionException.Reason.Module`

## Constructor Summary

Constructors
Constructor
Description
`Reason()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Reason

public Reason()